package com.ruoyi.business.controller;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.ruoyi.common.core.controller.BaseController;
import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.common.core.page.TableDataInfo;
import com.ruoyi.database.domain.ApprovalProcess;
import com.ruoyi.database.service.ApprovalProcessService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.RequiredArgsConstructor;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * @Description ApprovalProcessController
 * @Author lijingtong
 * @Date 2025-06-07
 */
@Api(tags = "审批单")
@RestController
@RequestMapping("/ApprovalProcess")
@RequiredArgsConstructor
public class ApprovalProcessController extends BaseController {

    private final ApprovalProcessService approvalsProcessService;


    @PostMapping("/list")
    @ApiOperation("查询列表")
    public TableDataInfo list(ApprovalProcess approvalProcess) {
        startPage();
        QueryWrapper<ApprovalProcess> queryWrapper = new QueryWrapper<>(approvalProcess);
        List<ApprovalProcess> list = approvalsProcessService.list(queryWrapper);
        return getDataTable(list);
    }

    @ApiOperation("根据编号查")
    @PostMapping("/getById")
    public TableDataInfo getById(Long id) {
        List<ApprovalProcess> list = approvalsProcessService.lambdaQuery()
                .eq(ApprovalProcess::getApprovalNo, id)
                .list();
        return getDataTable(list);
    }

    @ApiOperation("根据id查询详情")
    @PostMapping("/getDetailById")
    public AjaxResult getDetailById(Long id) {
        ApprovalProcess approvalProcess = approvalsProcessService.getById(id);
        approvalProcess.setReadStatus(1);
        boolean result = approvalsProcessService.updateById(approvalProcess);
        return AjaxResult.success(approvalProcess);
    }



}
